{ pkgs, ... }:

let
  PROJECT_ROOT = "/workspace/deployed-nixos-server-and-apps/nixos-apps/ottawa-swing-dance-society-website";
  PORT = "4232";
  HOST = "localhost";
in
{
  services.caddy = {
    enable = true;
    virtualHosts = {
      "osds.fancytypist.dev" = {
        extraConfig = ''
          reverse_proxy ${HOST}:${PORT}
        '';
      };
    };
  };

  systemd.services = {
    ewanick-site = {
      enable = true;
      description = "A blog powered by Emanote running solely on Markdown files.";
      path = with pkgs; [ nix git ];
      script = ''
        cd ${PROJECT_ROOT}
        nix run github:srid/emanote --accept-flake-config \
                -- run             \
                    --port ${PORT} \
                    --host ${HOST}
      '';
    };
  };
}
